Appearance
GET
/web-pages/draft/drafts/{draftId}/pages/{pageId}Required scope:
viskan:draft:readRetrieves a page by ID.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
pageId string Format:
uuidIdentifier of the page. A page represents a web page within a category and contains a layout, sections, and content.
Response
The page details are successfully retrieved.
JSON
{
"pageId": "fb840e50-8a8b-477c-a3c8-fffe2bf97e1c",
"categoryId": "fb831d92-c7b3-42fe-ac92-a2c2014d72f6",
"contentLocaleId": "774ab227-18fe-4541-ba3b-06ad3e95ae75",
"title": "Black Week Sale",
"metaTitle": "Start Page for Black Week Sale",
"metaDescription": "Temporary page for Black Week Sale",
"languageCode": "en",
"countryCode": "US",
"path": "/black-week-sale",
"status": "MODIFIED",
"layout": {
"layoutId": "e8391697-5592-434a-9e20-ac2316adc235",
"layoutName": "Product List default layout",
"layoutDescription": "Default layout created for product list pages",
"layoutType": "PRODUCT_LIST",
"status": "MODIFIED",
"sections": [
{
"layoutSectionId": "be0111c5-a24b-47bd-86f7-77c12d632bdc",
"sectionId": "e7f65f98-e2a6-4ffd-a985-6e6a4180f5e0",
"sectionName": "Start Page Hero",
"sectionDescription": "Section for the start page displaying an image and text",
"sectionType": "IMAGE_AND_TEXT",
"content": "<p>{e7f65f98-e2a6-4ffd-a985-6e6a4180f5e0}</p><image url={b6238f26-929b-41a2-862b-3029525e8b2f}>",
"status": "MODIFIED",
"variables": [
{...}
]
}
]
},
"searchableContent": "Black week sale 2025"
}
| Error code | Description |
|---|---|
web-pages.retrieve-page.draft-not-found | Draft not found. |
web-pages.retrieve-page.layout-not-found | Could not find the layout by ID. |
web-pages.retrieve-page.page-not-found | Could not find the page by ID. |